> ## Documentation Index
> Fetch the complete documentation index at: https://docs.primeintellect.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Deploy Checkpoint

> Serve step `step` of training run `runId`. Returns the deployment already serving
that checkpoint, if any. Any member of the run's team may start a new one for an
on-demand run; a dedicated run needs an admin of its cluster's team.



## OpenAPI

````yaml https://api.primeintellect.ai/openapi.json post /api/v1/inference/checkpoint-deploy
openapi: 3.1.0
info:
  title: PI API
  version: 0.1.0
servers:
  - url: https://api.primeintellect.ai
security: []
paths:
  /api/v1/inference/checkpoint-deploy:
    post:
      tags:
        - inference
      summary: Deploy Checkpoint
      description: >-
        Serve step `step` of training run `runId`. Returns the deployment
        already serving

        that checkpoint, if any. Any member of the run's team may start a new
        one for an

        on-demand run; a dedicated run needs an admin of its cluster's team.
      operationId: deploy_checkpoint_api_v1_inference_checkpoint_deploy_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CheckpointDeployRequest'
        required: true
      responses:
        '202':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InferenceDeployment'
        '401':
          description: Authorization failed
        '422':
          description: Invalid request data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    CheckpointDeployRequest:
      properties:
        runId:
          type: string
          minLength: 1
          title: Runid
        step:
          type: integer
          minimum: 0
          title: Step
        teamId:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
          title: Teamid
        onDemand:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Ondemand
        replicas:
          type: integer
          maximum: 4
          minimum: 1
          title: Replicas
          default: 1
      type: object
      required:
        - runId
        - step
      title: CheckpointDeployRequest
    InferenceDeployment:
      properties:
        id:
          type: string
          title: Id
        deploymentName:
          type: string
          title: Deploymentname
        status:
          $ref: '#/components/schemas/JobStatus'
        statusPhase:
          anyOf:
            - type: string
            - type: 'null'
          title: Statusphase
        errorMessage:
          anyOf:
            - type: string
            - type: 'null'
          title: Errormessage
        servedModelAlias:
          type: string
          title: Servedmodelalias
        endpointUrl:
          anyOf:
            - type: string
            - type: 'null'
          title: Endpointurl
        checkpoint:
          anyOf:
            - $ref: '#/components/schemas/CheckpointRef'
            - type: 'null'
        isOnDemand:
          type: boolean
          title: Isondemand
        replicas:
          anyOf:
            - type: integer
            - type: 'null'
          title: Replicas
        gpusPerReplica:
          anyOf:
            - type: integer
            - type: 'null'
          title: Gpusperreplica
        maxReplicas:
          anyOf:
            - type: integer
            - type: 'null'
          title: Maxreplicas
        scaleState:
          anyOf:
            - type: string
            - type: 'null'
          title: Scalestate
        createdAt:
          type: string
          format: date-time
          title: Createdat
        dashboardUrl:
          type: string
          title: Dashboardurl
      type: object
      required:
        - id
        - deploymentName
        - status
        - servedModelAlias
        - isOnDemand
        - createdAt
        - dashboardUrl
      title: InferenceDeployment
    ErrorResponse:
      properties:
        errors:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Errors
      type: object
      required:
        - errors
      title: ErrorResponse
    JobStatus:
      type: string
      enum:
        - PENDING
        - DEPLOYING
        - RUNNING
        - TERMINATING
        - COMPLETED
        - FAILED
        - STOPPED
        - UNKNOWN
        - TOMBSTONED
      title: JobStatus
    CheckpointRef:
      properties:
        runId:
          type: string
          title: Runid
        step:
          type: integer
          title: Step
      type: object
      required:
        - runId
        - step
      title: CheckpointRef
      description: Step `step` of training run `run_id`.
    ErrorDetail:
      properties:
        param:
          type: string
          title: Param
        details:
          type: string
          title: Details
      type: object
      required:
        - param
        - details
      title: ErrorDetail
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.